CertificateEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.CertificateEntry,CertificateEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class CertificateEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.PrimitiveEntry
                  |
                  +--gnu.crypto.keyring.CertificateEntry

public final class CertificateEntry
extends PrimitiveEntry

An immutable class representing a trusted certificate entry.

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.PrimitiveEntry
`creationDate`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`CertificateEntry(java.security.cert.Certificate certificate, java.util.Date creationDate, Properties properties)` Creates a new certificate entry.

Method Summary
`static CertificateEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`java.security.cert.Certificate` | `getCertificate()` Returns this entry's certificate.

Methods inherited from class gnu.crypto.keyring.PrimitiveEntry
`equals, getAlias, getCreationDate, makeCreationDate`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### CertificateEntry

    public CertificateEntry(java.security.cert.Certificate certificate,
                            java.util.Date creationDate,
                            Properties properties)

  Creates a new certificate entry.

Parameters:
  `certificate` - The certificate.
  `creationDate` - The creation date.
  `properties` - The alias.
Throws:
  `java.lang.IllegalArgumentException` - If any argument is null, or if the alias is empty.

Method Detail

### decode

    public static CertificateEntry decode(java.io.DataInputStream in)
                                   throws java.io.IOException

    `java.io.IOException`

### getCertificate

    public java.security.cert.Certificate getCertificate()

  Returns this entry's certificate.

  Returns:
    The certificate.

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Specified by:
    `encodePayload` in class `Entry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.